OGRE: Ogre::EmscriptenEGLContext Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::EmscriptenEGLContext Class Reference

`#include <OgreEmscriptenEGLContext.h>`

Inheritance diagram for Ogre::EmscriptenEGLContext:
[legend]

## Public Member Functions
| EmscriptenEGLContext (EGLDisplay eglDisplay, const EGLSupport *glsupport, ::EGLConfig fbconfig, ::EGLSurface drawable)
virtual | ~EmscriptenEGLContext ()
virtual void | _createInternalResources (EGLDisplay eglDisplay, ::EGLConfig glconfig, ::EGLSurface drawable, ::EGLContext shareContext)
virtual void | _destroyInternalResources ()
GLES2Context * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. More...
virtual void | endCurrent ()
| This is called before another context is made current. More...
EGLSurface | getDrawable () const
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context. More...
virtual void | setCurrent ()
| Enable the context. More...
void | setInitialized ()

## Constructor & Destructor Documentation

## ◆ EmscriptenEGLContext()

Ogre::EmscriptenEGLContext::EmscriptenEGLContext | ( | EGLDisplay | eglDisplay,
|  | const EGLSupport * | glsupport,
|  | ::EGLConfig | fbconfig,
|  | ::EGLSurface | drawable
| ) |  |

## ◆ ~EmscriptenEGLContext()

virtual Ogre::EmscriptenEGLContext::~EmscriptenEGLContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _createInternalResources()

virtual void Ogre::EGLContext::_createInternalResources | ( | EGLDisplay | eglDisplay,
|  | ::EGLConfig | glconfig,
|  | ::EGLSurface | drawable,
|  | ::EGLContext | shareContext
| ) |  |
| virtualinherited

## ◆ _destroyInternalResources()

virtual void Ogre::EGLContext::_destroyInternalResources | ( |  | ) |
| virtualinherited

## ◆ clone()

GLES2Context* Ogre::EmscriptenEGLContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::EGLContext.

## ◆ endCurrent()

virtual void Ogre::EGLContext::endCurrent | ( |  | ) |
| virtualinherited

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLES2Context.

## ◆ getDrawable()

EGLSurface Ogre::EGLContext::getDrawable | ( |  | ) | const
| inherited

## ◆ getInitialized()

bool Ogre::GLES2Context::getInitialized | ( |  | ) |
| inlineinherited

## ◆ releaseContext()

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) |
| inlinevirtualinherited

Release the render context.

## ◆ setCurrent()

virtual void Ogre::EGLContext::setCurrent | ( |  | ) |
| virtualinherited

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLES2Context.

## ◆ setInitialized()

void Ogre::GLES2Context::setInitialized | ( |  | ) |
| inlineinherited

The documentation for this class was generated from the following file:

- OgreEmscriptenEGLContext.h